import { BaseProvider } from '#templates/base/provider';
import { ActiveApartment } from '#models/ActiveApartment';

export class ActiveApartmentProvider extends BaseProvider<ActiveApartment> {
	public static instance: ActiveApartmentProvider;

	public static getInstance(): ActiveApartmentProvider {
		ActiveApartmentProvider.instance ??= new ActiveApartmentProvider();
		return ActiveApartmentProvider.instance;
	}

	public static get model() {
		return ActiveApartment;
	}

	constructor() {
		super('ActiveApartment');
	}
}
